use std::collections::HashMap;

#[derive(Debug, serde::Deserialize)]
#[serde(deny_unknown_fields)]
pub struct AccountSpec {
    title: Option<String>,
    description: Option<String>,

    annotations: Option<HashMap<String, String>>,

    default_unit: Option<String>,
}

#[derive(Debug, serde::Deserialize)]
#[serde(deny_unknown_fields)]
pub struct UnitSpec {
    name: String,
    format: String,
}

#[derive(Debug, serde::Deserialize)]
#[serde(deny_unknown_fields)]
pub struct RootSpec {
    pub ledger_path: std::path::PathBuf,

    units: HashMap<String, UnitSpec>,

    accounts: HashMap<String, AccountSpec>,
}
